能不能把多个单行文本合并为一个多行文本?
能不能把多个单行文本合并为一个多行文本? 应该可以的。好像网上有这样的程序。 请你详细的说明提供的程序。 我没有这样的程序,明经通道好像也没有,记得在晓东CAD空间好像看到过这样的程序。 '将单行文本改为多行文本Private Sub CommandButton2_Click()
Dim ft(0) As Integer
Dim fl(0) As Variant
Dim mt As AcadMText
'定义过滤条件
ft(0) = 0
fl(0) = "text"
Set s = ThisDrawing.SelectionSets.Add("bba11")
Me.Hide
s.SelectOnScreen ft, fl
Dim e As AcadText
For Each e In s
a = e.TextString
Set mt = ThisDrawing.ModelSpace.AddMText(e.InsertionPoint, e.Height, a)
e.Delete
Next
ThisDrawing.Regen acActiveViewport
End Sub
’将这段程序加载进VB管理器里即可。
‘将多个单行文本合为一个多行文本
Private Sub CommandButton1_Click()
Dim ft(0) As Integer
Dim fl(0) As Variant
Dim mt As AcadMText
'定义过滤条件
ft(0) = 0
fl(0) = "text"
Set s = ThisDrawing.SelectionSets.Add("bb1aa1")
Me.Hide
s.SelectOnScreen ft, fl
Dim e As AcadText
Dim p(2) As Double
p(0) = 0
p(1) = 0
p(2) = 0
For Each e In s
a = a & e.TextString
e.Delete
Next
Set mt = ThisDrawing.ModelSpace.AddMText(p, 5, a)
ThisDrawing.Regen acActiveViewport
End Sub
‘单行改为多行
’单行合并为多行
打开工具——宏——加载工程。将这个文件加载就可以。然后运行。 AutoCAD2004提供这样的功能. express tools里面的工具,不是2004带的 express tools2000里面有现成的该功能! XJ_HE 发表于 2003-10-13 10:07 static/image/common/back.gif
‘单行改为多行
输入啥子命令?如何运行?
页:
[1]
2